Subject: Re: [RFC] kvm tools: Implement multiple VQ for virtio-net

From: Sasha Levin <[email-masked]>
Date: Sun, 13 Nov 2011 17:32:44 +0200

On Sun, 2011-11-13 at 17:00 +0200, Sasha Levin wrote:
> On Sun, 2011-11-13 at 12:24 +0200, Michael S. Tsirkin wrote:
> > On Sat, Nov 12, 2011 at 12:12:01AM +0200, Sasha Levin wrote:
> > > This is a patch based on Krishna Kumar's patch series which implements
> > > multiple VQ support for virtio-net.
> > > 
> > > The patch was tested with ver3 of the patch.
> > > 
> > > Cc: Krishna Kumar <[email-masked]>
> > > Cc: Michael S. Tsirkin <[email-masked]>
> > > Cc: Rusty Russell <[email-masked]>
> > > Cc: [email-masked]
> > > Cc: [email-masked]
> > > Signed-off-by: Sasha Levin <[email-masked]>
> > 
> > Any performance numbers?
> 
> I tried finding a box with more than two cores so I could test it on
> something like that as well.
> 
> From what I see this patch causes a performance regression on my 2 core
> box.
> 

[snip]

After discussing it with Michael, we found out that for a single TCP
flow the guest signals the same TX VQ, but the RX VQ keeps changing -
which means that theres missing host-guest synchronization of hash flow.

-- 

Sasha.